(****************************************************************************)
(*                                                                          *)
(*      VRIDEF.INC : Konstantendefinitionen V2.0 fuer TURBO PASCAL          *)
(*      ----------------------------------------------------------          *)
(*                                                                          *)
(*         (c) Copyright 1986 by Professional Computer Software             *)
(*                                                                          *)
(*                                                                          *)
(*      Dieses INCLUDE File enthaelt die Konstantendefinitionen zur An-     *)
(*      steuerung des PC INTERFACE V1.0 aus TURBO PASCAL.                   *)
(*                                                                          *)
(*                                                                          *)
(*      Folgende Anweisung wird im Quellprogramm benoetigt :                *)
(*                                                                          *)
(*                $I VRIDEF.INC                                             *)
(*                                                                          *)
(*                                                                          *)
(*                                                                          *)
(*      Folgende Konstanten werden definiert :                              *)
(*      --------------------------------------                              *)
(*                                                                          *)
(*              M1-M4           Konstanten fuer Motoreingaenge 1 bis 4      *)
(*                                                                          *)
(*              S1-S8           Konstanten fuer Schaltereingaenge 1 bis 8   *)
(*              E1-E8                                                       *)
(*                                                                          *)
(*              P1-P4           Konstanten fuer Potentiometereingaenge 1    *)
(*              EX,EY           bis 4 (EX = P1, EY = P2)                    *)
(*                                                                          *)
(*              EIN,AUS         Konstanten fuer Motorrichtung               *)
(*              LINKS,RECHTS                                                *)
(*                                                                          *)
(*              AUF,ZU          Konstanten fuer Schalterstellung            *)
(*                                                                          *)
(****************************************************************************)

CONST   M1=1; M2=2; M3=3; M4=4;
        S1=1; S2=2; S3=3; S4=4; S5=5; S6=6; S7=7; S8=8;
        P1=1; P2=2; P3=3; P4=4;

        E1=1; E2=2; E3=3; E4=4; E5=5; E6=6; E7=7; E8=8;
        EX=P1; EY=P2;

        AUS=0; RECHTS=1; LINKS=2; EIN=RECHTS;
        AUF=FALSE; ZU=TRUE;

